<h2>Invitations en cours</h2>

<?php if($this->out["invitations"]["total"] > 0) : ?>
<ul>
  <?php

    foreach($this->out["invitations"]["list"] as $id_invitation => $invitation) :
    $source_type = $this->out["status"][$invitation["source"]["id_class"]]["nom"];
    $source_url = "";
    if($source_type == "album"){
      $source_type = "à l'album";
      $source_url = $this->url("sources/album/view", array("album" => $invitation["id_source"]));
    }
    elseif($source_type == "morceau"){
      $source_type = "au morceau";
      $source_url = $this->url("sources/morceau/view", array("morceau" => $invitation["id_source"]));
    }
    elseif($source_type == "piste"){
      $source_type = "à la piste";
      $source_url = $this->url("sources/piste/view", array("piste" => $invitation["id_source"]));
    }
    else continue;


  ?>
  <li class="invitation">
    <div class="invitation_title">
      <strong><?php echo $invitation["user"]["login"]; ?></strong>
      invite <strong><?php echo $this->out["groupes"]["list"][$invitation["id_author"]]["nom"]; ?></strong>
    </div>
    <div class="invitation_date"><?php echo $invitation["date_invitation"]; ?></div>
    <div class="invitation_content">
      à participer <?php echo $source_type; ?>
      <a href="<?php echo $source_url; ?>"><strong><?php echo $invitation["source"]["titre"]; ?></strong></a><br />
      en tant que
      <strong><?php echo $this->out["sources_access"][$invitation["id_sources_access"]]["intitule"]; ?></strong>
    </div>
    <ul class="buttons">
      <?php if($this->out["user"]["id"] == $invitation["id_user"]) : ?>
      <li>
        <a href="<?php echo $this->url("users/sources_invitations/annule_invitation_groupe", array("id" => $id_invitation)) ?>"
           class="admin_link"
           title="annuler cette invitation"
           onclick="return confirm('annuler cette invitation ?')"/>Annuler l'invitation</a>
      </li>
      <?php else : ?>
      <li>
        <a href="<?php echo $this->url("users/sources_invitations/accepter_invitation_groupe", array("id" => $id_invitation)) ?>"
           class="admin_link"
           title="accepter cette invitation"
           onclick="return confirm('accepter cette invitation ?')"/>Accepter</a>
      </li>
      <li>
        <a href="<?php echo $this->url("users/sources_invitations/refuser_invitation_groupe", array("id" => $id_invitation)) ?>"
           class="admin_link"
           title="refuser cette invitation"
           onclick="return confirm('refuser cette invitation ?')"/>Refuser</a>
      </li>
      <?php endif; ?>
    </ul>


    </td>
    <td>
      
    </td>
    <td class="action">

    </td>
    <td class="action">

    </td>
  </li>
  <?php endforeach; ?>
</ul>
<?php else : ?>
<p>Aucune invitation</p>
<?php endif; ?>
